Bug 488209 - audacious does not play flac nor ogg files
audacious does not play flac nor ogg files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ralf Ertzinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 03:21 EST by Mustafa Mehmed
Modified: 2009-06-26 22:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.5.1-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 22:45:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audacious log file (144.62 KB, text/plain)
2009-03-03 03:21 EST, Mustafa Mehmed
no flags Details
audacious config file (3.78 KB, text/plain)
2009-03-03 03:21 EST, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2009-03-03 03:21:05 EST
Created attachment 333849 [details]
audacious log file

Description of problem:
audacious does not play flac nor ogg audio files (don't know about other formats)

Version-Release number of selected component (if applicable):
audacious-plugins-amidi-1.5.1-2.fc10.i386
audacious-plugins-freeworld-aac-1.5.1-1.fc10.i386
audacious-libs-1.5.1-5.fc10.i386
audacious-plugins-freeworld-mms-1.5.1-1.fc10.i386
audacious-plugins-1.5.1-2.fc10.i386
audacious-plugins-freeworld-tta-1.5.1-1.fc10.i386
audacious-plugin-xmp-2.5.1-3.fc10.i386
audacious-plugins-freeworld-mp3-1.5.1-1.fc10.i386
audacious-plugins-metronome-1.5.1-2.fc10.i386
audacious-plugins-wavpack-1.5.1-2.fc10.i386
audacious-plugins-freeworld-alac-1.5.1-1.fc10.i386
audacious-1.5.1-5.fc10.i386
audacious-plugins-freeworld-wma-1.5.1-1.fc10.i386
audacious-plugins-vortex-1.5.1-2.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. try and play a file in audacious
2.
3.
  
Actual results:
does not appear to recognise audio file and skips it

Expected results:
play file

Additional info:
[mehmed@hp-laptop muzak]$ audacious rabbit.ogg 
Failed to load plugin (/usr/lib/audacious/Input/amidi-plug.so): /usr/lib/audacious/Input/amidi-plug.so: undefined symbol: audacious_drct_get_playing
Failed to load plugin (/usr/lib/audacious/Input/xmp-audacious.so): /usr/lib/audacious/Input/xmp-audacious.so: undefined symbol: bmp_cfg_db_set_int
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
ERROR: libflacng.so: plugin.c:338 (flac_play_loop): Could not open output plugin!

(audacious:8147): GLib-CRITICAL **: g_thread_join: assertion `thread->joinable' failed
LASTFM: (cleanup) Cleanup finished
Comment 1 Mustafa Mehmed 2009-03-03 03:21:58 EST
Created attachment 333850 [details]
audacious config file
Comment 2 Ralf Ertzinger 2009-03-03 11:06:00 EST
That looks more like a general problem with your sound setup than an
audacious problem.

If you set the audio output plugin in audacious to "ALSA", does that work?

If you have mplayer installed, does "mplayer -ao pulse <path-to-some-.ogg-file>" work?
Comment 3 Mustafa Mehmed 2009-03-03 16:45:01 EST
I tried the ALSA ouptut plugin in audacious, but it still did not work. I ran your mplayer command on an ogg file and it played perfectly.
Comment 4 Mustafa Mehmed 2009-03-03 16:46:51 EST
Totem also plays the file perfectly.
Comment 5 Mustafa Mehmed 2009-03-04 02:09:09 EST
Completely removed audacious and any plugins using PackageKit. Manually deleted any reference to audacious, except for my Skins directory. Reinstalled the following using PackageKit:-

audacious-1.5.1-5.fc10.i386
audacious-libs-1.5.1-5.fc10.i386
audacious-plugins-1.5.1-2.fc10.i386
audacious-plugins-freeworld-1.5.1-1.fc10.i386
audacious-plugins-freeworld-aac-1.5.1-1.fc10.i386
audacious-plugins-freeworld-alac-1.5.1-1.fc10.i386
audacious-plugins-freeworld-mms-1.5.1-1.fc10.i386
audacious-plugins-freeworld-mp3-1.5.1-1.fc10.i386
audacious-plugins-freeworld-tta-1.5.1-1.fc10.i386
audacious-plugins-freeworld-wma-1.5.1-1.fc10.i386
audacious-plugins-metronome-1.5.1-2.fc10.i386
audacious-plugins-wavpack-1.5.1-2.fc10.i386
audacious-plugin-xmp-2.5.1-3.fc10.i386

audacious now plays via a playlist, but if I do the following :-

$ audacious music-file.flac 
Failed to load plugin (/usr/lib/audacious/Input/xmp-audacious.so): /usr/lib/audacious/Input/xmp-audacious.so: undefined symbol: bmp_cfg_db_set_int
LASTFM: (cleanup) Cleanup finished

audacious does not play music-file.flac but continues playing previous song in playlist (also a flac file)

If I do "audacious -p file.ogg" I get an instantaneous "Segmentation fault".

I then "rpm -e audacious-plugin-xmp-2.5.1-3.fc10.i386" but this made no difference. Still seg fault.

If I play the same file file.ogg through the gui, it plays ok. 

After adding a list of files to the playlist (all found in the dame directory) audacious skips to the last file and does not play any of them. It has now decided it can't play anything. (this is less than 5 minutes after audacious appeared to be working ok???)

BTW totem plays all/any files ok.
Comment 6 Mustafa Mehmed 2009-03-06 02:49:23 EST
If I select 

1. Audacious Preferences
2. Audio
3. Advanced - "Bypass all of signal processing if possible"

Audacious now plays files again. Is this a bug in audacious or one of the plugins? Or do my FLAC files have bad headers etc?
Comment 7 Ralf Ertzinger 2009-03-06 17:52:56 EST
Your flac files are fine. The plugin fails to connect to the output plugin,
which is why playback fails.

Do you have any effect plugins enabled?
Comment 8 Mustafa Mehmed 2009-03-06 19:15:32 EST
I enable "Replaygain" and "Extra Stereo Plugin" by Johan Levin 1999.
Comment 9 Ralf Ertzinger 2009-03-06 19:53:56 EST
If you disable all effect plugins, does it work even with out the bypass setting?
Comment 10 Mustafa Mehmed 2009-03-06 22:24:30 EST
Sorry, should have told you before. I have tested combinations of replygain and extra stereo on and off with "bypass all signal processing" on and off, and the _only_ way audacious will play is with "bypass all signal processing" enabled.
Comment 11 Michael Schwendt 2009-06-03 16:43:11 EDT
FLAC and Ogg work here.


> If I do "audacious -p file.ogg" I get an
> instantaneous "Segmentation fault".

That's a separate bug. "audacious -p" is sufficient to reproduce it.


Btw, Audacious doesn't accept music files as arguments unless an instance of Audacious is running already. Only then you can send commands to the running instance, such as enqueing further files or emptying the playlist.
Comment 12 Michael Schwendt 2009-06-04 16:47:29 EDT
https://admin.fedoraproject.org/updates/F11/FEDORA-2009-4313

Not clear yet whether/when this fix may be backported to F-10.

See bug 501007 comment 4 on how to proceed with Audacious 1 or Audacious 2.
Comment 13 Fedora Update System 2009-06-05 08:11:16 EDT
audacious-plugins-1.5.1-6.fc10,audacious-1.5.1-9.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-6.fc10,audacious-1.5.1-9.fc10
Comment 14 Fedora Update System 2009-06-15 22:38:30 EDT
audacious-plugins-1.5.1-6.fc11, audacious-1.5.1-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6438
Comment 15 Fedora Update System 2009-06-15 22:46:00 EDT
audacious-plugins-1.5.1-6.fc10, audacious-1.5.1-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update audacious-plugins audacious'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6490
Comment 16 Mustafa Mehmed 2009-06-23 20:10:08 EDT
I have installed F11 and cannot test F10 anymore. audacious works as expected in F11. Thanks for your help.

$ rpm -qa | grep ^audacious
audacious-libs-1.5.1-7.fc11.i586
audacious-plugins-freeworld-aac-1.5.1-2.fc11.i586
audacious-plugins-freeworld-mp3-1.5.1-2.fc11.i586
audacious-plugins-wavpack-1.5.1-3.fc11.i586
audacious-plugins-freeworld-mms-1.5.1-2.fc11.i586
audacious-plugins-1.5.1-3.fc11.i586
audacious-plugins-metronome-1.5.1-3.fc11.i586
audacious-1.5.1-7.fc11.i586
audacious-plugins-freeworld-1.5.1-2.fc11.i586
audacious-plugins-freeworld-tta-1.5.1-2.fc11.i586
audacious-plugins-freeworld-alac-1.5.1-2.fc11.i586
audacious-plugins-freeworld-wma-1.5.1-2.fc11.i586
Comment 17 Fedora Update System 2009-06-26 22:45:09 EDT
audacious-plugins-1.5.1-6.fc11, audacious-1.5.1-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-06-26 22:47:20 EDT
audacious-plugins-1.5.1-6.fc10, audacious-1.5.1-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.